#include <string.h>

//
// The gs2 function is not protected by GS because the element size of the
// array is greater than 2 bytes. The GS heuristic does not consider this
// to be a string buffer.
//
// Enabling #pragma strict_gs_check(on) will protect the function.
//

void __declspec(noinline) gs2(int count, int data)
{
    int array[10];
    int i;

    for (i = 0; i < count; i++) {
        array[i] = data;
    }

    use(&array);
}

void main()
{
    gs2(11, 0x41414141);
}
